List rows
curl --request GET \
--url https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/data_sources/{dsId}/tables/{tId}/rows \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/data_sources/{dsId}/tables/{tId}/rows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/data_sources/{dsId}/tables/{tId}/rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 12345,
"createdAt": 1625097600,
"name": "Customer Knowledge Base",
"description": "Contains all customer-related information and FAQs",
"dustAPIProjectId": "5e9d8c7b6a",
"connectorId": "1f3e5d7c9b",
"connectorProvider": "webcrawler",
"assistantDefaultSelected": true
}
]Datasources
List rows
List rows in the table identified by in the data source identified by in the workspace identified by .
GET
/
api
/
v1
/
w
/
{wId}
/
spaces
/
{spaceId}
/
data_sources
/
{dsId}
/
tables
/
{tId}
/
rows
List rows
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
Unique string identifier for the workspace
ID of the space
ID of the data source
ID of the table
Query Parameters
Limit the number of rows returned
Offset the returned rows
Response
The rows
Unique identifier for the datasource
Example:
12345
Timestamp of when the datasource was created
Example:
1625097600
Name of the datasource
Example:
"Customer Knowledge Base"
Description of the datasource
Example:
"Contains all customer-related information and FAQs"
ID of the associated Dust API project
Example:
"5e9d8c7b6a"
ID of the connector used for this datasource
Example:
"1f3e5d7c9b"
Provider of the connector (e.g., 'webcrawler')
Example:
"webcrawler"
Whether this datasource is selected by default for agents
Example:
true